
import java.awt.Font;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;

public class Kaynnistin extends JFrame implements ActionListener {

    private JButton luoKello;
    private JButton pysayta;
    private Kello kello;

    boolean kelloKaynnissa;

    public Kaynnistin(Kello kello) {
        this.kello = kello;
        kelloKaynnissa = true;

        luoKello = new JButton("uusi kello");
        luoKello.setFont(new Font("Serif", Font.PLAIN, 30));
        luoKello.addActionListener(this);
        add(luoKello);

        pysayta = new JButton("   pysäytä kellot   ");
        pysayta.setFont(new Font("Serif", Font.PLAIN, 30));
        pysayta.addActionListener(this);

        setLayout(new GridLayout(2, 1));

        add(luoKello);
        add(pysayta);
       
        
        this.pack();
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setVisible(true);
    }

    @Override
    public void actionPerformed(ActionEvent ae) {
        if (ae.getSource() == luoKello) {
            new Naytto(kello);
        } else {
            if (kelloKaynnissa) {
                kello.suspend();
                kelloKaynnissa = false;
                pysayta.setText("käynnistä kellot");
            } else {
                kello.reset();
                kello.resume();
                kelloKaynnissa = true;
                pysayta.setText("pysäytä kellot");
            }
        }
    }
}
