
import java.awt.Font;
import java.util.Random;
import javax.swing.*;

public class Naytto extends JFrame implements Observer {

    JTextField naytto;
        
    public Naytto(Kello kello)  {
        kello.aloitaTarkkailu(this);
        
        naytto = new JTextField("no time yet!");   
        naytto.setFont(new Font("Serif", Font.PLAIN, 30));
        add(naytto);
        
        Random arpa = new Random();
        setLocation(100+arpa.nextInt(1000), 100+arpa.nextInt(600));
        
        this.pack();
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setVisible(true);
    }
            
    @Override
    public void update(Kello kello) {
        naytto.setText(kello.toString());
    }
    
}
